
Figure - Bug #117911
测试 Test-IT # 111062 (New): V3.0功能测试

测试 Test-IT # 111069 (New): AF-V3.0--Launcher/SystemUI-小窗模式入口

【AF】【EVT3】【小窗模式】打开一个强制小窗应用，进入屏保后 退出屏保动画异常（桌面有刷新动作）
2023-05-12 18:13 - 物联网测试组_CDTS  唐霞 

Status: CLOSED Start date: 2023-05-12

Priority: Normal Due date: 2023-05-15

Assignee: 物联网测试组_CDTS  唐霞 % Done: 80%

Category: 窗口定制 Estimated time: 0.00 hour

Target version:

Need_Info: TEST Found Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0099.C103(X103)

Resolution: -- Degrated: No

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version: 2023-05-15

Test Type: Release Test Root cause: AOSP 原生行为。

Description

【测试步骤】

1.打开抖音 进入控制中心点击进入屏保

2.屏保状态下点击屏幕

【预期结果】

2.退出屏保

【测试结果】

退出屏保动画异常（桌面有刷新动作），无强制小窗应用时候没有该现象

Related issues:

Related to Figure - Bug # 118589: IOVDEV-32961【内部】【VC1】【0... CLOSED 2023-06-06

History

#1 - 2023-05-13 10:15 - CD FW 曹覃刚

- Status changed from New to ASSIGNED

- Assignee changed from CD FW-鲁凯峰 to CD FW-廖涛

涛哥，帮忙看下这个问题

#2 - 2023-05-13 18:45 - CD FW-廖涛

■ Current conclusion

已定位问题，正在尝试解决方案；

■ Next action

处理并验证问题；

#3 - 2023-05-15 09:57 - CD FW-廖涛

- Due date set to 2023-05-15

#4 - 2023-05-15 17:45 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader
200116 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:MultiWindow: Optimize animation from ScreenSaver to Launcher when exist mutilwindow app.TC-RID: 1201-0204601IssueID:

TS-R-BUG-117911Change-Id: I98148a03debd6042dae1ae089ca32cc9c2a33f69

#5 - 2023-05-15 17:51 - CD FW-廖涛

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD FW-廖涛 to 物联网测试组_CDTS  唐霞 

- % Done changed from 0 to 80

- Need_Info changed from -- to TEST

- Degrated changed from -- to No

- Fixed Version set to 2023-05-15

- Root cause set to AOSP 原生行为。

■ My analysis

通过分析，当存在小窗的时候，从屏保回到桌面，执行的动画和不存在小窗的时候是不一样的，该动画和从屏保回到非桌面应用时一致，是正常的现象

，且 AOSP 原生如此。

且回到桌面后，其实是没有刷新动作的，只是执行了动画的效果。

■ Next action

测试确认。

#6 - 2023-05-16 19:09 - 物联网测试组_CDTS  唐霞 

- Status changed from NEED_INFO to RESOLVED

原生行为，不解决。关闭问题单

#7 - 2023-05-16 19:09 - 物联网测试组_CDTS  唐霞 

- Status changed from RESOLVED to VERIFIED

#8 - 2023-05-16 19:09 - 物联网测试组_CDTS  唐霞 

- Status changed from VERIFIED to CLOSED
